import ts from "typescript";
export interface Params {
    typeNodes: ts.TypeNode[];
}
export interface Factory {
    create: (params: Params) => ts.IntersectionTypeNode;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
