import ts from "typescript";
export interface UpdateParams {
    node: ts.ModuleBlock;
    statements: ts.Statement[];
}
export interface Factory {
    update: (params: UpdateParams) => ts.ModuleBlock;
}
export declare const update: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["update"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
