export declare abstract class BaseError extends Error {
    constructor(message: string);
}
export declare class UnsetTypeError extends BaseError {
}
export declare class UnSupportError extends BaseError {
}
export declare class UnknownError extends BaseError {
}
export declare class NotFoundFileError extends BaseError {
}
export declare class NotFoundReference extends BaseError {
}
export declare class FeatureDevelopmentError extends BaseError {
}
export declare class SchemaOnlySupportError extends BaseError {
}
export declare class UndefinedComponent extends BaseError {
}
export declare class DevelopmentError extends BaseError {
}
