import ts from "typescript";
declare const operators: {
    readonly "+": ts.SyntaxKind.PlusToken;
    readonly "=": ts.SyntaxKind.EqualsToken;
};
export interface Params {
    left: ts.Expression;
    operator: keyof typeof operators;
    right: ts.Expression;
}
export interface Factory {
    create: (params: Params) => ts.BinaryExpression;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
export {};
