import ts from "typescript";
declare const syntaxKinds: {
    readonly keyof: ts.SyntaxKind.KeyOfKeyword;
    readonly unique: ts.SyntaxKind.UniqueKeyword;
    readonly readonly: ts.SyntaxKind.ReadonlyKeyword;
};
export interface Params$Create {
    syntaxKind: keyof typeof syntaxKinds;
    type: ts.TypeNode;
}
export interface Factory {
    create: (params: Params$Create) => ts.TypeOperatorNode;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
export {};
